Workflows
Workflow management and execution endpoints
GET
/workflows/v1/user-workflowsAuthorization
ApiKeyAuth Authorization<token>
API key for authentication. Use 'Bearer ' format.
In: header
Response Body
application/json
application/json
curl -X GET "https://app.meingpt.com/api/workflows/v1/user-workflows"{
"status": "success",
"workflows": [
{}
]
}{
"status": "error",
"message": "string"
}GET
/workflows/v1/workflow-inputs/{workflowId}Authorization
ApiKeyAuth Authorization<token>
API key for authentication. Use 'Bearer ' format.
In: header
Path Parameters
workflowId*string
The workflow ID
Response Body
application/json
application/json
application/json
curl -X GET "https://app.meingpt.com/api/workflows/v1/workflow-inputs/string"{
"status": "success",
"inputs": [
{
"name": "string",
"type": "string",
"description": "string",
"defaultValue": null,
"options": [
{
"label": "string",
"value": "string"
}
]
}
]
}{
"status": "error",
"message": "string"
}{
"status": "error",
"message": "string"
}POST
/workflows/v1/{workflowId}/runAuthorization
ApiKeyAuth Authorization<token>
API key for authentication. Use 'Bearer ' format.
In: header
Path Parameters
workflowId*string
The workflow ID to execute
Request Body
application/json
input*object
Input parameters for the workflow execution
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://app.meingpt.com/api/workflows/v1/string/run" \ -H "Content-Type: application/json" \ -d '{ "input": {} }'{
"status": "success",
"messages": [
{
"content": "string",
"role": "user",
"model": "string",
"knowledgeCollectionSearchResults": [
{
"knowledgeCollectionId": "string",
"knowledgeCollectionName": "string",
"queries": [
"string"
],
"resultComponents": [
{
"documentId": "string",
"documentTitle": "string",
"score": 0,
"result": "string",
"sourceNumber": 0
}
]
}
]
}
],
"documentUrl": "string"
}{
"status": "error",
"message": "string"
}{
"status": "error",
"message": "string"
}{
"status": "error",
"message": "string"
}{
"status": "error",
"message": "string"
}Practical Usage
- Create and test workflows: /platform/workflows-create
- Use workflows in the platform: /platform/workflows
- Set up authentication before API calls: /api/authentication